

#ifndef OUTPUTSHIFT_4094_HEADER
#define OUTPUTSHIFT_4094_HEADER

//---------------------------------------------
// 4094 OPUTSHIFT SECTION
//---------------------------------------------

	
#define CMOS4094_DATA_PORT			PORTB
#define CMOS4094_CLK_PORT			PORTB
#define CMOS4094_STROBE_PORT		PORTB
#define CMOS4094_DIR_REG			DDRB
#define CMOS4094_DIR_REG_BITMSK	0x1C

#define CMOS4094_DATA_BIT		0x10	//PB4 //Daten rausshiften
#define CMOS4094_CLK_BIT		0x08	//PB3 Shift clock ( LowToHigh transition )
#define CMOS4094_STROBE_BIT	0x04	//PB2

#define CMOS4094_INITDIRREG()	( CMOS4094_DIR_REG |= CMOS4094_DIR_REG_BITMSK )

#define CMOS4094_STROBE_LOW()		( CMOS4094_STROBE_PORT &= ~CMOS4094_STROBE_BIT ) //Clear	ShiftReg mit HighFlanke RCK
#define CMOS4094_STROBE_HIGH()	( CMOS4094_STROBE_PORT |=  CMOS4094_STROBE_BIT ) 	//Enable SHiftreg

#define CMOS4094_DATA_LOW()	( CMOS4094_DATA_PORT &= ~CMOS4094_DATA_BIT ) //Daten rausshiften
#define CMOS4094_DATA_HIGH()	( CMOS4094_DATA_PORT |= CMOS4094_DATA_BIT ) //Daten rausshiften

#define CMOS4094_CLK_LOW()	( CMOS4094_CLK_PORT &= ~CMOS4094_CLK_BIT ) //Shift clock
#define CMOS4094_CLK_HIGH()	( CMOS4094_CLK_PORT |= CMOS4094_CLK_BIT ) //Shift clock

/*
typedef union
	{
	uint16_t gu32CMOS4094; //Selber Speicherplatz
	uint8_t gau8CMOS4094[ NUMBER_OF_4094 ];//Gobales Array mit Bytezahl der benutzen Shiftregister	
	}SU_SHIFT_CMOS4094_TYPE;
//GLOBAL
*/
void Write_OUT4094( uint16_t * pu16Val, uint8_t u8BitCnt ); // WERT, ShitBits


#endif //OUTPUTSHIFT_4094_HEADER